import { ElementRef, OnInit, Renderer2 } from "@angular/core";
import { SdBrowserService } from '../services/browser.service';
export declare class SdScrollDirective implements OnInit {
    #private;
    private elementRef;
    private renderer;
    private browserService;
    onMouseOver(): void;
    onMouseOut(): void;
    constructor(elementRef: ElementRef, renderer: Renderer2, browserService: SdBrowserService);
    ngOnInit(): void;
    scrollTop: () => void;
}
